OTBCLI_BANDMATH(1)

NAME
otbcli_BandMath - OTB BandMath application

DESCRIPTION
This is the BandMath application, version 5.2.0 Perform a mathematical operation on monoband images

Complete documentation: http://www.orfeo-toolbox.org/Applications/BandMath.html

  Parameters:

-progress <boolean>
    Report progress

 -il <string list> Input image list (mandatory)
 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

 -exp <string> Expression (mandatory)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_BandMath -il verySmallFSATSW_r.tif verySmallFSATSW_nir.tif verySmallFSATSW.tif -out apTvUtBandMathOutput.tif -exp "cos(im1b1)+im2b1*im3b1-im3b2+ndvi(im3b3, im3b4)"

SEE ALSO
The full documentation for otbcli_BandMath is maintained as a Texinfo manual. If the info and otbcli_BandMath programs are properly installed at your site, the command

    info otbcli_BandMath

should give you access to the complete manual.